6.0.0-git
2019-03-22

[#11111] Stripping attachments doesn't work anymore after upgrading Cyrus
Summary Stripping attachments doesn't work anymore after upgrading Cyrus
Queue IMP
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2012-03-28 (2550 days ago)
Due
Updated 2012-08-29 (2396 days ago)
Assigned 2012-03-28 (2550 days ago)
Resolved 2012-03-28 (2550 days ago)
Milestone
Patch No

History
2012-08-29 12:35:34 Git Commit Comment #13 Reply to this comment
Changes have been made in Git (master):

commit 33e83f41c3e506ade179e5f894644f128e7d564f
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Apr 2 21:15:53 2012 -0600

     Add 'imp:mailbox' AJAX task.

     Allows message data to be added to any outgoing request.

     Fixes Bug #11111

  imp/js/dimpbase.js           |  101 
+++++++++++++++++++++---------------------
  imp/js/mobile.js             |   14 +++++-
  imp/lib/Ajax/Application.php |   67 +++++++++++----------------
  imp/lib/Ajax/Queue.php       |   43 ++++++++++++++++++
  4 files changed, 133 insertions(+), 92 deletions(-)

http://git.horde.org/horde-git/-/commit/33e83f41c3e506ade179e5f894644f128e7d564f
2012-08-29 12:34:39 Git Commit Comment #12 Reply to this comment
Changes have been made in Git (master):

commit 55077648a606f078539df4ece6fe239d219e42c0
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Wed Mar 28 13:44:05 2012 -0600

     Bug #11111: Attempt to workaround broken Cyrus servers

  .../Imap_Client/lib/Horde/Imap/Client/Socket.php   |   14 ++++++++++++++
  1 files changed, 14 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/55077648a606f078539df4ece6fe239d219e42c0
2012-04-03 03:23:36 Git Commit Comment #11 Reply to this comment
Changes have been made in Git (develop):

commit 33e83f41c3e506ade179e5f894644f128e7d564f
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Apr 2 21:15:53 2012 -0600

     Add 'imp:mailbox' AJAX task.

     Allows message data to be added to any outgoing request.

     Fixes Bug #11111

  imp/js/dimpbase.js           |  101 
+++++++++++++++++++++---------------------
  imp/js/mobile.js             |   14 +++++-
  imp/lib/Ajax/Application.php |   67 +++++++++++----------------
  imp/lib/Ajax/Queue.php       |   43 ++++++++++++++++++
  4 files changed, 133 insertions(+), 92 deletions(-)

http://git.horde.org/horde-git/-/commit/33e83f41c3e506ade179e5f894644f128e7d564f
2012-03-29 17:14:12 Git Commit Comment #10 Reply to this comment
Changes have been made in Git (develop):

commit 6ad7a88fc3d14006f79bd4c6f895f782df5f8f48
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Thu Mar 29 11:09:14 2012 -0600

     Bug #11111: changelog

  framework/Imap_Client/package.xml |    1 +
  1 files changed, 1 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/6ad7a88fc3d14006f79bd4c6f895f782df5f8f48
2012-03-29 17:14:10 Git Commit Comment #9 Reply to this comment
Changes have been made in Git (develop):

commit ef112173cab44dada80771075cf071879fdf9da8
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Wed Mar 28 13:44:05 2012 -0600

     Bug #11111: Attempt to workaround broken Cyrus servers

  .../Imap_Client/lib/Horde/Imap/Client/Socket.php   |   14 ++++++++++++++
  1 files changed, 14 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/ef112173cab44dada80771075cf071879fdf9da8
2012-03-29 17:09:28 Git Commit Comment #8 Reply to this comment
Changes have been made in Git (master):

commit 6ad7a88fc3d14006f79bd4c6f895f782df5f8f48
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Thu Mar 29 11:09:14 2012 -0600

     Bug #11111: changelog

  framework/Imap_Client/package.xml |    1 +
  1 files changed, 1 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/6ad7a88fc3d14006f79bd4c6f895f782df5f8f48
2012-03-29 17:09:25 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (master):

commit ef112173cab44dada80771075cf071879fdf9da8
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Wed Mar 28 13:44:05 2012 -0600

     Bug #11111: Attempt to workaround broken Cyrus servers

  .../Imap_Client/lib/Horde/Imap/Client/Socket.php   |   14 ++++++++++++++
  1 files changed, 14 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/ef112173cab44dada80771075cf071879fdf9da8
2012-03-28 20:05:10 Jan Schneider Comment #6
State ⇒ Resolved
Reply to this comment
Yes, works, thanks! Would be great if you could backport it to master.

Unrelated, but I noticed that the (new) message with the stripped 
attachment is no longer selected again after stripping and reloading 
the message.
2012-03-28 19:47:43 Michael Slusarz Comment #5 Reply to this comment
Does this help?
2012-03-28 19:47:04 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (develop):

commit 55077648a606f078539df4ece6fe239d219e42c0
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Wed Mar 28 13:44:05 2012 -0600

     Bug #11111: Attempt to workaround broken Cyrus servers

  .../Imap_Client/lib/Horde/Imap/Client/Socket.php   |   14 ++++++++++++++
  1 files changed, 14 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/55077648a606f078539df4ece6fe239d219e42c0
2012-03-28 16:58:11 Jan Schneider Comment #3 Reply to this comment
So... the exact same bug you already reported to Cyrus :)
LOL, yeah, looks like it. :)
2012-03-28 16:51:08 Michael Slusarz Comment #2
State ⇒ Feedback
Reply to this comment
So... the exact same bug you already reported to Cyrus :)

https://bugzilla.cyrusimap.org/show_bug.cgi?id=3613

The IMAP command is correct.
2012-03-28 16:20:16 Jan Schneider Comment #1
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 1. Low
Summary ⇒ Stripping attachments doesn't work anymore after upgrading Cyrus
Queue ⇒ IMP
Assigned to Michael Slusarz
Milestone ⇒
Patch ⇒ No
Reply to this comment
After upgrading to Cyrus 2.4 which supports CATENATE now, I can no 
longer strip attachments:

S: * OK [CAPABILITY IMAP4rev1 LITERAL+ ID ENABLE  XIMAPPROXY] neo 
Cyrus IMAP v2.4.9-Debian-2.4.9-1 server ready
C: [LOGIN Command - username: jan]
S: * OK [XPROXYREUSE] IMAP connection reused by imapproxy
S: 1 OK User logged in
C: 2 EXAMINE INBOX.Consulting (QRESYNC (1138795238 2 1808:1826))
S: * 19 EXISTS
S: * 0 RECENT
S: * FLAGS (\Answered \Flagged \Draft \Deleted \Seen $NotJunk 
JunkRecorded $Junk NotJunk NonJunk $Forwarded)
S: * OK [PERMANENTFLAGS ()] Ok
S: * OK [UIDVALIDITY 1138795238] Ok
S: * OK [UIDNEXT 1827] Ok
S: * OK [HIGHESTMODSEQ 2] Ok
S: * OK [URLMECH INTERNAL] Ok
S: 2 OK [READ-ONLY] Completed
CACHE: Retrieved messages (mailbox: INBOX.Consulting; UIDs: 1826)
CACHE: Retrieved messages (mailbox: INBOX.Consulting; UIDs: 1826)
C: 3 UNSELECT
S: 3 OK Completed
C: 4 APPEND INBOX.Consulting (\answered \seen) "22-Dec-2011 14:33:51 
+0100" CATENATE (URL 
/INBOX.Consulting;UIDVALIDITY=1138795238/;UID=1826/;SECTION=HEADER 
TEXT {47+}
C: [LITERAL DATA - 47 bytes]
C:  URL 
/INBOX.Consulting;UIDVALIDITY=1138795238/;UID=1826/;SECTION=1.MIME URL 
/INBOX.Consulting;UIDVALIDITY=1138795238/;UID=1826/;SECTION=1 TEXT {47+}
C: [LITERAL DATA - 47 bytes]
C:  TEXT {118+}
C: [LITERAL DATA - 118 bytes]
C:  TEXT {47+}
C: [LITERAL DATA - 47 bytes]
C:  URL 
/INBOX.Consulting;UIDVALIDITY=1138795238/;UID=1826/;SECTION=3.MIME URL 
/INBOX.Consulting;UIDVALIDITY=1138795238/;UID=1826/;SECTION=3 TEXT {47+}
C: [LITERAL DATA - 47 bytes]
C:  URL 
/INBOX.Consulting;UIDVALIDITY=1138795238/;UID=1826/;SECTION=4.MIME URL 
/INBOX.Consulting;UIDVALIDITY=1138795238/;UID=1826/;SECTION=4 TEXT {49+}
C: [LITERAL DATA - 49 bytes]
C: )
S: 4 NO [BADURL "TEXT"] Mailbox does not exist

Another weird observation: it's trying thrice to do the stripping.

Saved Queries